
function generateQuads(atlas, tilewidth, tileheight)
    local sheetWidth = atlas:getWidth() / tilewidth
    local sheetHeight = atlas:getHeight() / tileheight

    local sheetCounter = 1
    local quads = {}

    for y = 0, sheetHeight - 1 do
        for x = 0, sheetWidth - 1 do

            quads[sheetCounter] =
                love.graphics.newQuad(x * tilewidth, y * tileheight, tilewidth,
                tileheight, atlas:getDimensions())
            sheetCounter = sheetCounter + 1
        end
    end

    return quads
end
function generateQuadsHero(atlas)
    local x = 512
    local y = 0

    local counter = 0
    local quads = {}

    for i = 0, 3 do
        quads[counter] = love.graphics.newQuad(x, y, 16, 16,
            atlas:getDimensions())
        counter = counter + 1
        quads[counter] = love.graphics.newQuad(x + 256, y, 16, 16,
            atlas:getDimensions())
        counter = counter + 1
        quads[counter] = love.graphics.newQuad(x + 512, y, 16, 16,
            atlas:getDimensions())
        counter = counter + 1
    end

    x = 0
    y = 356

    quads[counter] = love.graphics.newQuad(x, y, 16, 16,
        atlas:getDimensions())
    counter = counter + 1
end
