--    GAME   --
--This is the game started on 25th september by two sisters ( Tehreem Fatima Amna Hafeez) this game 
-- just become the start of he career for them well U all know them Tehreem Fatima and AMNA



-- reuire src
require 'src/dependencies'

-- calling function love.load 
camX = 0
camY = -3
scrolling_speed = 130

local fireballs = {}

local coins = {}

local iceballs = {}

local spawntimer = 0

function love.load()
    math.randomseed(os.time())

    -- screen setup with push lib
    push:setupScreen( VIRTUAL_WIDTH,VIRTUAL_HEIGHT, WINDOW_WIDTH, WINDOW_HEIGHT,{
        fullscreen = false,
        vsync = true,
        resizable = true
    })
 
    local x = 0
    local y = 0

    VILLAGE = love.graphics.newImage('graphics/village.png')
    thisquad = love.graphics.newQuad(x, y, 3000000, WINDOW_HEIGHT, 1700, 700)
    VILLAGE:setWrap("repeat","repeat")
    
    gFonts = {
        ['small'] = love.graphics.newFont('graphics/Font.ttf', 8),
        ['medium'] = love.graphics.newFont('graphics/Font.ttf', 32),
        ['large'] = love.graphics.newFont('graphics/Font.ttf', 73)
    }
    love.graphics.setFont(gFonts['small'])
     
    --applying this to avoid blurriness
    love.graphics.setDefaultFilter('nearest', 'nearest')

    -- setting the title
    love.window.setTitle('game')
    

    gStateMachine = StateMachine {
        ['Start'] = function() return StartState() end,
        ['countdown'] = function() return CountdownState() end,
        ['play'] = function() return PlayState() end,
        ['score'] = function() return ScoreState() end
    }
    gStateMachine:change('Start')

    love.keyboard.keysPressed = {}
end

function love.resize(w, h)
    push:resize(w, h)
end


function love.keypressed(key)
    love.keyboard.keysPressed[key] = true
    if key == 'escape' then 
        love.event.quit()
    end
end
function love.keyboard.wasPressed(key)
    return love.keyboard.keysPressed[key]
end



function love.update(dt)

    if love.keyboard.isDown('up') then
        camY = math.max(-2, camY + dt * - scrolling_speed)

    elseif love.keyboard.isDown('down') then
        camY = math.min(-2, camY + dt * scrolling_speed)

    elseif love.keyboard.isDown('left') then
        camX = math.max(5, camX + dt * -scrolling_speed * 1.4)

    elseif love.keyboard.isDown('right') then
        camX = math.min(1000000000, camX +  dt* scrolling_speed * 7.4)
          
    end


    spawntimer = spawntimer + dt
    if spawntimer > 2 then
        table.insert(fireballs, Fireball())
        table.insert(iceballs, Fireball())
        spawntimer = 0
    end
    spawntimer = spawntimer + dt
    if spawntimer > 2 then
        table.insert(coins, Coin())
    end

    love.keyboard.keysPressed = {}    
    gStateMachine:update(dt)

end



function love.draw()


    love.graphics.translate(math.floor(-camX + 0.5), math.floor(-camY + 0.5)) 
    love.graphics.draw(VILLAGE, thisquad, 0, 0 )

    gStateMachine:render()

    for k, fireball in pairs(fireballs) do
        fireball:render()
    end
    for k, iceball in pairs(iceballs) do
        iceball:render()
    end

    for k, coin in pairs(coins) do
        coin:render()
    end


end