CountdownState = Class{__include = BaseState}
 
CountdownTimer = 0.75
function CountdownState:init()
    self.count = 3
    self.timer = 0
end

function CountdownState:update(dt)
    self.timer = self.timer + dt

    if self.timer > CountdownTimer then
        self.timer = self.timer % CountdownTimer
        self.count = self.count - 1

        if self.count == 0 then
            gStateMachine:change('play') 
        end
    end
end

function CountdownState:render()
    love.graphics.setFont(gFonts['medium'])
    love.graphics.printf(tostring(self.count), 0, 120, VIRTUAL_WIDTH, 'center')
end